org.apache.solr.handler.dataimport

## Class ClobTransformer

- java.lang.Object
- - org.apache.solr.handler.dataimport.Transformer
  - - org.apache.solr.handler.dataimport.ClobTransformer

-     public class ClobTransformer
      extends Transformer

  `Transformer` instance which converts a `Clob` to a `String`.

  Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

  This API is experimental and subject to change

  Since:
    solr 1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLOB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClobTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `transformRow(Map<String,Object> aRow, Context context)` The input is a row of data and the output has to be a new row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLOB

          public static final String CLOB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClobTransformer

          public ClobTransformer()

  - ### Method Detail

    - #### transformRow

          public Object transformRow(Map<String,Object> aRow,
                                     Context context)

      Description copied from class: `Transformer`
      The input is a row of data and the output has to be a new row.
      Specified by:
        `transformRow` in class `Transformer`
      Parameters:
        `aRow` - A row of data
        `context` - The current context
      Returns:
        The changed data. It must be a `Map`<`String`, `Object`> if it returns only one row or if there are multiple rows to be returned it must be a `List`<`Map`<`String`, `Object`>>

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.